" Vim syntax file

" Quit when a (custom) syntax file was already loaded
if exists("b:current_syntax")
  finish
endif

setlocal iskeyword+=-

syn region      hintComment     start=/^#/ end=/$/ contains=hintDate
syn region      hintLine        start=/^[^#]/ end=/$/ contains=hintCommand,hintPkgSpec

syn match       hintDate        contained "\<20[0-9]\{6\}\>"

syn keyword     hintCommand     contained hint easy force-hint remove force block approve unblock urgent age-days block-all finished nextgroup=hintPkgSpec
syn match       hintPkgSpec     contained "\(\w\|-\)\+\/\(\w\|[.~+\-]\)\+" contains=hintPkgVersion
syn match       hintPkgVersion  contained "\/\(\w\|[.~+\-]\)\+"hs=s+1


" Define the default highlighting.
" Only used when an item doesn't have highlighting yet
hi def link hintDate    Include
hi def link hintComment	Comment

hi def link hintCommand Keyword
hi def link hintPkgVersion Number

let b:current_syntax = "debhints"

" vim: ts=8 sw=2
